-module(akhamoth).

-export([compile_file/1, compile_binary/1, collect/2]).

compile_file(Path) ->
    {ok, Source} = file:read_file(Path),
    compile_binary(Source).

compile_binary(Source) ->
    Lx = akh_lexer:new(Source),
    collect(Lx, []).

collect(Lx, Acc) ->
    case akh_lexer:next(Lx) of
        none -> Acc;
        {ok, T, L} -> collect(L, [T | Acc])
    end.
